import { NpmOptions } from '../../interfaces/npm-controller.interface';
export declare class NpmController {
    private readonly registry;
    private npmVersion;
    private npmPaths;
    private npmRcPaths;
    private distTag?;
    private options;
    constructor({ cwd, registry, token, npmVersion, distTag, ...options }: NpmOptions);
    install(args: string[]): Promise<void>;
    installWithNpmLegacy(args: string[]): Promise<void>;
    installWithNpmLatest(args: string[]): Promise<void>;
    publish(): Promise<void>;
    uninstall(args: string[]): Promise<void>;
    private setNpmPaths;
    private getNpmPaths;
    private getNpmRcPaths;
    private runNpm;
    private runNpmWithRc;
    private runNpmCommands;
    private createNpmRc;
    private removeNpmRc;
    private generateNpmConfig;
    private runNpmProcess;
    private getUpdateLockFileCommand;
}
